package nsdb;

/** stream-based skeleton class */

public abstract class EntryInfoPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, nsdb.EntryInfoOperations
{
	static private final java.util.Hashtable m_opsHash = new java.util.Hashtable();
	static
	{
		m_opsHash.put ( "getCountC", new java.lang.Integer(0));
		m_opsHash.put ( "getCountA", new java.lang.Integer(1));
		m_opsHash.put ( "getEntryVersion", new java.lang.Integer(2));
		m_opsHash.put ( "getSecondaryIds", new java.lang.Integer(3));
		m_opsHash.put ( "getCountT", new java.lang.Integer(4));
		m_opsHash.put ( "getEntryStatus", new java.lang.Integer(5));
		m_opsHash.put ( "getCountG", new java.lang.Integer(6));
		m_opsHash.put ( "getEntryName", new java.lang.Integer(7));
		m_opsHash.put ( "getRevisions", new java.lang.Integer(8));
	}
	private String[] ids = {"IDL:nsdb/EntryInfo:1.0"};
	public nsdb.EntryInfo _this()
	{
		return nsdb.EntryInfoHelper.narrow(_this_object());
	}
	public nsdb.EntryInfo _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.EntryInfoHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream _out = null;
		// do something
		// quick lookup of operation
		java.lang.Integer opsIndex = (java.lang.Integer)m_opsHash.get ( method );
		if ( null == opsIndex )
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		switch ( opsIndex.intValue() )
		{
			case 0: // getCountC
			{
				_out = handler.createReply();
				_out.write_long(getCountC());
				break;
			}
			case 1: // getCountA
			{
				_out = handler.createReply();
				_out.write_long(getCountA());
				break;
			}
			case 2: // getEntryVersion
			{
				_out = handler.createReply();
				_out.write_long(getEntryVersion());
				break;
			}
			case 3: // getSecondaryIds
			{
				_out = handler.createReply();
				type.stringListHelper.write(_out,getSecondaryIds());
				break;
			}
			case 4: // getCountT
			{
				_out = handler.createReply();
				_out.write_long(getCountT());
				break;
			}
			case 5: // getEntryStatus
			{
				_out = handler.createReply();
				_out.write_string(getEntryStatus());
				break;
			}
			case 6: // getCountG
			{
				_out = handler.createReply();
				_out.write_long(getCountG());
				break;
			}
			case 7: // getEntryName
			{
				_out = handler.createReply();
				_out.write_string(getEntryName());
				break;
			}
			case 8: // getRevisions
			{
				_out = handler.createReply();
				type.RevisionListHelper.write(_out,getRevisions());
				break;
			}
		}
		return _out;
	}

	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
